import { FormControl } from '@angular/forms';
import { SymbolService } from '../../symbol/symbol.service';
/** This component keeps track of a form control's errors and displays them. It is meant to be used beneath a form control. */
export declare class InputErrorsComponent {
    symbol: SymbolService;
    /** The form control that should be tracked */
    control: FormControl;
    /** Imported error messages. */
    constructor(symbol: SymbolService);
    /** This method will iterate over the control errors and generate objects for the template. */
    getErrors(): any[];
}
