import { OnChanges, OnInit } from '@angular/core';
import { SymbolService } from '../../symbol/symbol.service';
/** The CrudComponent takes at least a model name to render an entry list with create/edit/delete functionality out of the box.  */
export declare class ErrorComponent implements OnInit, OnChanges {
    private symbol;
    /** The error that should be displayed */
    error: any;
    constructor(symbol: SymbolService);
    /** initial update */
    ngOnInit(): void;
    /** change update */
    ngOnChanges(): void;
    /** updates error message  */
    update(): void;
}
