import { Collection } from '@ec.components/core';
import { PopComponent } from './pop.component';
/** Holds a stack of all open pops. listens for escape keydown events to close the latest opened pop. */
export declare class PopService {
    /** default value for columns of any pop */
    defaultColumns: number;
    /** Stack of current opened pops */
    stack: Collection<PopComponent>;
    /** Listens for escape keys and hides latest pop + removes the pop from stack */
    constructor();
}
