import { Router } from '@angular/router';
import { NotificationsService } from '../../notifications/notifications.service';
export interface KeyAction {
    key: string;
    description: string;
    action: (e?: any) => void;
    canActivate?: (e?: any) => boolean;
}
export declare class KeycommandsService {
    router: Router;
    notificationsService: NotificationsService;
    keys: {
        [key: string]: KeyAction;
    };
    muted: boolean;
    input: any;
    meta: boolean;
    shift: boolean;
    constructor(router: Router, notificationsService: NotificationsService);
    mute(e?: any): void;
    unmute(e?: any): void;
    register(keyconfig: KeyAction): this;
    activate(keyconfig: KeyAction, e?: any): void;
    copyToClipBoard(value: any, label: any): void;
    copyCellToClipboard(label?: string): (item: any, property: any) => void;
    openUrl(url: any): void;
    navigate(path: string[], options?: {}): void;
}
